
Redmine - Feature #28067

Add context menu for issues in calendar

2018-01-25 07:14 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Calendar Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

#10485 has added a context menu for issues on gantt page. I think it improves usability and consistency if calendar page has the

same context menu for issues.

Associated revisions

Revision 17186 - 2018-01-30 09:03 - Go MAEDA

Add right-click context menu in calendar (#28067).

Patch by Mizuki ISHIKAWA.

History

#1 - 2018-01-26 00:47 - Mizuki ISHIKAWA

- File add_context_menu_in_calendar.patch added

- File calender.png added

By adding a context menu on the calendar, I think that it will be easier to adjust the schedule.

This small patch adds a context menu on the calendar.

 calender.png 

#2 - 2018-01-26 00:55 - Marius BĂLTEANU

Nice improvement.

I would like to suggest to add some tests also for this feature (you can find an example in  r17037).

#3 - 2018-01-26 07:22 - Mizuki ISHIKAWA

- File add_context_menu_in_calendar_v2.patch added

Marius BALTEANU wrote:

Nice improvement.

I would like to suggest to add some tests also for this feature (you can find an example in  r17037).

 Thank you for your feedback.

I added a test code with reference to r17037.

add_context_menu_in_calendar_v2.patch is a patch with test code added.

#4 - 2018-01-26 07:37 - Mizuki ISHIKAWA

- File add_context_menu_in_calendar_v3.patch added

I changed the position of the test added with add_context_menu_in_calendar_v2.patch.

#5 - 2018-01-27 02:45 - Go MAEDA

- Target version set to 4.1.0

The patch looks good to me.
https://www.redmine.org/issues/10485
https://www.redmine.org/projects/redmine/repository/svn/revisions/17037
https://www.redmine.org/projects/redmine/repository/svn/revisions/17037
https://www.redmine.org/projects/redmine/repository/svn/revisions/17037
https://www.redmine.org/attachments/19971


Issues list, Roadmap, and Gantt already have a context menu in the current trunk. Calendar page should have the same context menu as well.

Setting target version to 4.1.0.

#6 - 2018-01-30 09:04 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. Thank you for improving Redmine.

Files

add_context_menu_in_calendar.patch 1.95 KB 2018-01-25 Mizuki ISHIKAWA

calender.png 86.8 KB 2018-01-25 Mizuki ISHIKAWA

add_context_menu_in_calendar_v2.patch 2.63 KB 2018-01-26 Mizuki ISHIKAWA

add_context_menu_in_calendar_v3.patch 2.59 KB 2018-01-26 Mizuki ISHIKAWA
